Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 449352 - games-rpg/eternal-lands Assertion `self' failed (runtime error)
Summary: games-rpg/eternal-lands Assertion `self' failed (runtime error)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Games (show other bugs)
Hardware: AMD64 Linux
: Normal critical (vote)
Assignee: Richard Freeman
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 448796
  Show dependency tree
 
Reported: 2012-12-30 21:14 UTC by Roman Gruber
Modified: 2014-01-10 16:21 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Gruber 2012-12-30 21:14:25 UTC
Eternal Lands crashes at starting.

roman@localhost ~ $ el
el: io/cal3d_io_wrapper.cpp:224: int CalCoreModel_ELLoadCoreAnimation(CalCoreModel*, const char*, float): Assertion `self' failed.
Aborted
roman@localhost ~ $ 

Two Boxes.
Recent update (~4 days) screwed el up.
One box with nvida graphics, was hole box rebuild with emerge -e world. Did not solve the problem. Also revdep-rebuild doesnt fix that.

Second box (intel graphics) same behaviour.

Reproducible: Always

Steps to Reproduce:
1. Around 26th Dezember was the game okay. Did an update between playing el. emerge --update --deep -N world.
2. Next Day cant play anymore. Started to rebuild hole box emerge --keep-going -e world. revdep-rebuild --ignore
3. el still crashes on both boxes with same output
Actual Results:  
eternnal lands (short referred as el) compiles fine but crashes instantly at starting the program.

Expected Results:  
el starts fine

emerge --info from my intel graphics box.

Portage 2.1.11.38 (default/linux/amd64/10.0/desktop/gnome, gcc-4.6.3, glibc-2.16.0, 3.5.3-gentoo_21_Sept_2012_d x86_64)
=================================================================
System uname: Linux-3.5.3-gentoo_21_Sept_2012_d-x86_64-Pentium-R-_Dual-Core_CPU_T4400_@_2.20GHz-with-gentoo-2.2
Timestamp of tree: Sun, 30 Dec 2012 18:15:01 +0000
ld GNU ld (GNU Binutils) 2.23.1
app-shells/bash:          4.2_p39-r1
dev-java/java-config:     2.1.12-r1
dev-lang/python:          2.6.8-r1, 2.7.3-r3, 3.1.5-r1, 3.2.3-r2
dev-util/cmake:           2.8.10.2
dev-util/pkgconfig:       0.27.1
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.11.8
sys-apps/sandbox:         2.6
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6, 1.12.6
sys-devel/binutils:       2.23.1
sys-devel/gcc:            4.6.3
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.7 (virtual/os-headers)
sys-libs/glibc:           2.16.0
Repositories: gentoo
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=core2 -pipe -mcx16 -msahf -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/polkit-1/actions"
CONFIG_PROTECT_MASK="${EPREFIX}/etc/gconf /etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -march=core2 -pipe -mcx16 -msahf -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news noinfo parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="ftp://mirror.leaseweb.com/gentoo/ ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gentoo http://gd.tuwien.ac.at/opsys/linux/gentoo/ ftp://de-mirror.org/distro/gentoo/ ftp://gd.tuwien.ac.at/opsys/linux/gentoo/"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X X509 a52 aac ace acl acpi alsa amd64 amr apm apng bash-completion battstat bazaar berkdb binfilter bl bloodsuckermaps bluetooth branding bs2b bzip2 cairo cdda cddb cdparanoia cdr cli clutter colord consolekit cracklib crypt cryptsetup cups curl custom-cflags custom-cpuopts custom-optimization cvs cxx darcs dbus dconf declarative dga dirac directfb dmraid dmx dri dts dvd dvdr eds emboss emovix encode evo exif faac fam fat fbcon ffmpeg firefox flac fortran gdbm gdu ggi gif git glibc-omitfp gmplayer gnome gnutls gpm gsm gstreamer gtk hddtemp hfs iconv icu imagemagick introspection ipv6 java jfs jpeg jpeg2k kde lame lcms libnotify libsamplerate lm_sensors lxde lzma lzo mad matroska mdadm mercurial mikmod mmap mmx mng mod modules mp3 mp4 mpeg mudflap multilib musepack musicbrainz nautilus ncurses new-login nls nosource nptl nsplugin ntfs nut ogg omxil openal openexr opengl openmp openvg opus oss pam pango pcre pdf pmu png pnm policykit ppds pppd pulseaudio pvr qt-faststart qt3support qt4 quicktime rar raw readline reiser4 reiserfs rtmp schroedinger sdl sdl-image session smpeg sna sndfile socialweb soundex sox speex spell sql sqlite sse sse2 sse3 ssl ssse3 startup-notification svg system-sqlite taglib tcpd templates theora threads tiff tk truetype twolame udev udisks unicode unlock-notify upower usb v4l v4l2 vcd vcdx vorbis vpx wavpack webkit webp wmf wxwidgets x264 xanim xcb xfs xinerama xml xv xvid zip zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev keyboard mouse synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en_GB en" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Julian Ospald 2012-12-30 21:20:35 UTC
either unbundling minizip or the build-time fix from bug 445658 broke it

will test shortly
Comment 2 Roman Gruber 2012-12-30 21:20:58 UTC
Second Nvida-Graphics box:

roman@localhost ~ $ el
el: io/cal3d_io_wrapper.cpp:224: int CalCoreModel_ELLoadCoreAnimation(CalCoreModel*, const char*, float): Assertion `self' failed.
Aborted
roman@localhost ~ $ 


Second Nvida-Graphic box: Emerge -info

localhost roman # emerge --info
Portage 2.1.11.38 (default/linux/amd64/10.0/desktop/gnome, gcc-4.6.3, glibc-2.16.0, 3.3.8-gentoo_02_Dec_2012 x86_64)
=================================================================
System uname: Linux-3.3.8-gentoo_02_Dec_2012-x86_64-Intel-R-_Core-TM-2_Duo_CPU_T9500_@_2.60GHz-with-gentoo-2.2
Timestamp of tree: Sat, 29 Dec 2012 19:45:01 +0000
ld GNU ld (GNU Binutils) 2.23.1
app-shells/bash:          4.2_p39-r1
dev-java/java-config:     2.1.12-r1
dev-lang/python:          2.7.3-r3, 3.1.5-r1, 3.2.3-r2
dev-util/cmake:           2.8.10.2
dev-util/pkgconfig:       0.27.1
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.11.8
sys-apps/sandbox:         2.6
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.6, 1.12.6
sys-devel/binutils:       2.23.1
sys-devel/gcc:            4.4.7, 4.5.4, 4.6.3
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.7 (virtual/os-headers)
sys-libs/glibc:           2.16.0
Repositories: gentoo x-layman x-roman sunrise desktop-effects
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/polkit-1/actions /var/lib/hsqldb"
CONFIG_PROTECT_MASK="${EPREFIX}/etc/gconf /etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe -fomit-frame-pointer"
DISTDIR="/mnt/sdb2/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://gentoo.inode.at/ http://ftp.first-world.info/ http://linux.rz.ruhr-uni-bochum.de/download/gentoo-mirror/ ftp://ftp.uni-erlangen.de/pub/mirrors/gentoo ftp://mirror.netcologne.de/gentoo/  ftp://ftp.vectranet.pl/gentoo/ http://distfiles.gentoo.org/   ftp://ftp.uni-erlangen.de/pub/mirrors/gentoo ftp://mirrors.sec.informatik.tu-darmstadt.de/gentoo/ http://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/ ftp:///ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/ ftp://distro.ibiblio.org/pub/Linux/distributions/gentoo/ http://distro.ibiblio.org/pub/Linux/distributions/gentoo/ ftp://ftp.gtlib.cc.gatech.edu/pub/gentoo http://csociety-ftp.ecn.purdue.edu/pub/gentoo/ ftp://csociety-ftp.ecn.purdue.edu/pub/gentoo/ ftp://ftp.ussg.iu.edu/pub/linux/gentoo ftp://ftp.ucsb.edu/pub/mirrors/linux/gentoo/ ftp://ftp.join.uni-muenster.de/pub/linux/distributions/gentoo ftp://ftp.wh2.tu-dresden.de/pub/mirrors/gentoo http://mirrors.sec.informatik.tu-darmstadt.de/gentoo/ http://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/ ftp:///ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/ ftp://ftp.gentoo.mesh-solutions.com/gentoo/ http://mirror.switch.ch/mirror/gentoo/ ftp://mirror.switch.ch/mirror/gentoo/ ftp://ftp.solnet.ch/mirror/Gentoo"
LANG="en"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman /usr/local/portage/layman/roman /var/lib/layman/sunrise /var/lib/layman/desktop-effects"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="32bit 64bit 7zip X X509 a52 aac aacplus aalib acl acpi alsa amd64 amr amrnb amrwb ao apm apng archive ares aspell assistant atmo audacious automount autotrace bash-completion battstat berkdb bidi binfilter bittorrent bl blender-game bloodsuckermaps boo brasero btrfs bugzilla bzip2 cairo cdda cddax cddb cdio cdparanoia cdr cdrom chm clamav clamd clamdtop cli clutter clvm cman colord consolekit contrast coverage cpuload cracklib crypt cryptsetup ctypes-python cuda cups curl custom-optimization cxx dbus dc1394 device-mapper devil dga dhcpcd dia dirac directfb djvu dmraid dmx dri dts dv dvb dvd dvdr edd eigen emboss emf emovix enca encode epiphany equalizer evo exif expat extras faac faad fam fat fbcon ffmpeg fftw firefox fits flac flash flickr flite floppy fluidsynth fontconfig fortran fpx frei0r ftp fts3 g3dvl gadu gcj gconf gcrypt gdbm gdm gdu geoip ggi ggz gif gimp git gjs glade glew glitz glut gmp gmplayer gnome-keyring gnutls gpg gpm graphviz grilo groovy groupwise gs gsm gstreamer gtk gtk3 gtkstyle gucharmap guile gzip-el hddtemp hdri hfs hotpixels http iconv icu id3 id3tag idn ieee1394 imagemagick imlib inkjar inotify introspection ipp ipv6 irrlicht jabber jack java javascript jbig jfs joystick jpeg jpeg2k kate krb4 ladspa lame lasi latex lcdfilter lcms lensfun libass libcaca libffi libnl libnotify libproxy libsamplerate libssh2 libsysfs libtiger libv4l2 live lm_sensors lqr lua lvm lvm1 lvm2 lxde lzma lzo mad matroska md5sum md5sum-external mdadm meanwhile mercurial midi mikmod minizip mjpeg mms mmx mmxext mng mod modplug modules mono moonlight motif mp3 mp4 mpd mpeg mplayer mtp mudflap multilib multimedia musepack music musicbrainz mysql nas nautilus ncurses nettle networking new-login nntp nptl nsplugin ntfs ntfsprogs nut nuv nvcontrol nvidia odbc odk ogg openal opencl opencore-amr openexr opengl openmp openssl optimisememory optimized-qmake opus osc oss pam pango pcre pdf pdfimport perl pkcs11 plotutils png podcast policykit postproc postscript ppds pppd prediction pulseaudio pvr python qt3support qt4 quicktime radio rar raw rdoc readline redland reiser4 reiserfs resolvconf rle rrdcgi rtmp rtsp ruby sasl schroedinger sdl sdl-image sdlgfx secure-delete sensors session sha1 shine shout silc sip skype smi smp smpeg sndfile sound soundex soundtouch sox speex spell spoof-source sql sqlite sse sse2 sse2_4way sse2check sse3 sse4 sse4_1 ssl ssse3 startup-notification stream subversion svg system-sqlite taglib tcl tcpd templates theora threads tiff tk tonal toolkit-scroll-bars truetype twolame udev udisks unicode unlock-notify upower usb v4l v4l2 vaapi vala vamp vcd vcdinfo vcdx vdpau vhook vlc vlm vorbis vpx wacom wav wavpack weather-metar weather-xoap webkit webp websockets wifi wikipedia wireshark wma wma-fixed wmf wxwidgets wxwindows x264 xanim xattr xcb xcomposite xfs xft xine xinerama xml xmlpatterns xmp xnest xosd xps xpsmall xv xvfb xvid yv12 zephyr zlib zsh-completion zvbi" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CURL_SSL="nss" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev synaptics keyboard mouse wacom joystick" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="vesa nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

localhost roman #
Comment 3 Julian Ospald 2012-12-30 21:43:06 UTC
cannot reproduce, what are your useflags for media-libs/libsdl and media-libs/sdl-image
Comment 4 Roman Gruber 2012-12-30 22:12:27 UTC
from my intel box:

localhost roman # emerge -pv libsdl sdl-image

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] media-libs/libsdl-1.2.15-r2  USE="X alsa audio custom-cflags dga directfb fbcon ggi joystick opengl oss pulseaudio video xinerama xv -aalib -libcaca -nas (-ps3) -static-libs (-svga) -tslib" 0 kB
[ebuild   R    ] media-libs/sdl-image-1.2.12  USE="gif jpeg png tiff webp -static-libs" 0 kB
Comment 5 Roman Gruber 2012-12-30 22:17:44 UTC
from my nvidia box: 

localhost roman # emerge -pv libsdl sdl-image

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] media-libs/libsdl-1.2.15-r2  USE="X aalib alsa audio dga directfb fbcon ggi joystick libcaca nas opengl oss pulseaudio video xinerama xv -custom-cflags (-ps3) -static-libs (-svga) -tslib" 0 kB
[ebuild   R    ] media-libs/sdl-image-1.2.12  USE="gif jpeg png tiff webp -static-libs" 0 kB

Total: 2 packages (2 reinstalls), Size of downloads: 0 kB

btw. i will remove custom-cflags useflag from my intel box. anyway the nvidia-box doesnt have this unsupported custom-cflags but also crashes ...
Comment 6 Roman Gruber 2012-12-30 22:31:37 UTC
intel box. libsdl rebuild.

localhost roman # emerge -pv libsdl

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] media-libs/libsdl-1.2.15-r2  USE="X alsa audio dga directfb fbcon ggi joystick opengl oss pulseaudio video xinerama xv -aalib -custom-cflags -libcaca -nas (-ps3) -static-libs (-svga) -tslib" 0 kB

Total: 1 package (1 reinstall), Size of downloads: 0 kB

 * IMPORTANT: 10 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


As i have run recently only on the intel box emerge -av --depclean glew was removed but it seems el depends on it.

 -MP -MF '.deps/3d_objects.o.pp' -c 3d_objects.c -o 3d_objects.o
In file included from misc.h:10:0,
                 from vmath.h:13,
                 from 2d_objects.h:9,
                 from 2d_objects.c:6:
platform.h:90:22: fatal error: GL/glew.h: No such file or directory
compilation terminated.
In file included from cache.h:10:0,
                 from e3d_object.h:9,
                 from 3d_objects.h:9,
                 from 3d_objects.c:5:
platform.h:90:22: fatal error: GL/glew.h: No such file or directory
compilation terminated.
make: *** [3d_objects.o] Error 1
make: *** Waiting for unfinished jobs....
make: *** [2d_objects.o] Error 1
 * ERROR: games-rpg/eternal-lands-1.9.3-r2 failed (compile phase):
 *   emake failed
 * 
 * If you need support, post the output of `emerge --info '=games-rpg/eternal-lands-1.9.3-r2'`,
 * the complete build log and the output of `emerge -pqv '=games-rpg/eternal-lands-1.9.3-r2'`.
 * The complete build log is located at '/var/tmp/portage/games-rpg/eternal-lands-1.9.3-r2/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/games-rpg/eternal-lands-1.9.3-r2/temp/environment'.
 * Working directory: '/var/tmp/portage/games-rpg/eternal-lands-1.9.3-r2/work/elc'
 * S: '/var/tmp/portage/games-rpg/eternal-lands-1.9.3-r2/work/elc'

>>> Failed to emerge games-rpg/eternal-lands-1.9.3-r2, Log file:


=> >>> Installing (1 of 1) media-libs/glew-1.9.0


=> 
strip: x86_64-pc-linux-gnu-strip --strip-unneeded -R .comment -R .GCC.command.line
   usr/games/bin/el

>>> Installing (1 of 1) games-rpg/eternal-lands-1.9.3-r2
 * Removing /usr/share/info
 * Updating icons cache ...                                                                                                                                                                  [ ok ]
 * Remember, in order to play games, you have to
 * be in the 'games' group.

 * Just run 'gpasswd -a <USER> games', then have <USER> re-login.

 * For more info about Gentoo gaming in general, see our website:
 *    http://games.gentoo.org/

 * Updating icons cache ...                                                                                                                                                                  [ ok ]
 * Auto Update is now enabled in Eternal Lands
 * If an update occurs then the client will suddenly exit
 * Updates only happen when the game first loads
 * Please don't report this behaviour as a bug
Comment 7 PL Hayes 2013-01-02 03:14:30 UTC
I think something is going wrong with parsing of the emotes.xml file since a recent libxml2 ebuild:

(gdb) backtrace
#0  0x00007ffff5511c15 in raise () from /lib64/libc.so.6
#1  0x00007ffff5512fba in abort () from /lib64/libc.so.6
#2  0x00007ffff550ab7e in ?? () from /lib64/libc.so.6
#3  0x00007ffff550ac42 in __assert_fail () from /lib64/libc.so.6
#4  0x000000000058435b in CalCoreModel_ELLoadCoreAnimation (self=0x0, 
    strFilename=0x7fffffffd630 "./animations/emotes/player_waveleft_stand.caf", scale=0)
    at io/cal3d_io_wrapper.cpp:261
#5  0x0000000000440180 in cal_load_anim (act=0x13ed440 <actors_defs>, 
    str=0x7fffffffd7a0 "./animations/emotes/player_waveleft_stand.caf 1", sound=0x637677 "", 
    sound_scale=0x637677 "", duration=-1) at cal.c:408
#6  0x0000000000422b70 in parse_actor_frames (act=0x13ed440 <actors_defs>, cfg=0x24b5d40, 
    defaults=0x0) at actor_scripts.c:3930
#7  0x000000000041e0d6 in parse_emotes_defs (node=0x2488e80) at actor_scripts.c:2755
#8  0x000000000041e3e3 in read_emotes_defs (dir=0x640fe1 "", index=0x640fd6 "emotes.xml")
    at actor_scripts.c:2803
#9  0x0000000000488ffb in init_stuff () at init.c:878
#10 0x00000000004b077c in main (argc=1, argv=0x7fffffffde48) at main.c:444
(gdb) quit

I reverted to libxml2-2.8.0-r3 (from libxml2-2.9.0-r1) and it works okay again.
Comment 8 Roman Gruber 2013-01-02 17:29:38 UTC
Confirmed.

emerge =libxml2-2.8.0-r3 =libxslt-1.1.28

And fixed.

Thanks a lot :) WEll i tried to fix it myself but after some days i filed a bug.
Comment 9 Julian Ospald 2013-01-02 17:35:59 UTC
so it's some kind of regression in dev-libs/libxml2? 

CCing gnome herd
Comment 10 Alexandre Rostovtsev (RETIRED) gentoo-dev 2013-01-03 00:24:17 UTC
(In reply to comment #9)
> so it's some kind of regression in dev-libs/libxml2? 
> 
> CCing gnome herd

libxml2-2.9.0 has some api changes, but in theory the 2.8.0 abi should be forward-compatible with 2.9.0 (see https://mail.gnome.org/archives/xml/2012-August/msg00005.html).

In any case, the immediate cause of the crash is act->coremodel being NULL. Judging by a quick grep, there is only one places in the eternal-lands source where act->coremodel can be set to something non-null: in parse_actor_nodes() in actor_scripts.c

And parse_actor_nodes() contains the following suspicious line:

"if(item->type == XML_ELEMENT_NODE)"

When this "if" fails, act->coremodel never gets set.

So maybe the child is not really an XML_ELEMENT_NODE? Maybe it's really something else, like XML_NAMESPACE_DECL, and recent libxml2 parsers are more strict about setting the child type?

Unfortunately, I can't check without taking a look at the xml files in question - and they don't seem to be provided in the eternal-lands source tarball.
Comment 11 Denis Dupeyron gentoo-dev 2013-06-25 22:42:34 UTC
No need to downgrade libxml2. Here's a workaround until upstream get their act together. Place the following in src_prepare() of games-rpg/eternal-lands-data:

  xmllint --noent actor_defs/actor_defs.xml > actor_defs.xml
  mv actor_defs.xml actor_defs

If you want I can commit it.

Denis.
Comment 12 Richard Freeman gentoo-dev 2013-06-25 22:53:49 UTC
(In reply to Denis Dupeyron from comment #11)
> If you want I can commit it.

Go for it. Thanks.
Comment 13 Denis Dupeyron gentoo-dev 2013-07-06 16:59:19 UTC
Done. Thanks to all.

Denis.
Comment 14 Jesús Guerrero Botella (RETIRED) gentoo-dev 2014-01-10 16:21:05 UTC
Did that fix ever get into portage?

If so, it's no more, the problem is still there. Using xmllint manually seems to fix it (I have no idea if it has ill effects though).